Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<AllowSort(False)> _
<DeferredDeletion(False)> _
Public Class C3CGeneratedInvoice
    Inherits BaseObject
    Private _C3CImportHeader As C3CImportHeader
    Private _InvoiceHeader As InvoiceHeader
    Private _PdfOriginalWithAttachments As FileData
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Association("C3CImportHeader-C3CGeneratedInvoice", GetType(C3CImportHeader))> _
    Property C3CImportHeader As C3CImportHeader
        Get
            Return _C3CImportHeader
        End Get
        Set(value As C3CImportHeader)
            SetPropertyValue("C3CImportHeader", _C3CImportHeader, value)
        End Set
    End Property
    Property InvoiceHeader As InvoiceHeader
        Get
            Return _InvoiceHeader
        End Get
        Set(value As InvoiceHeader)
            SetPropertyValue("InvoiceHeader", _InvoiceHeader, value)
        End Set
    End Property
    Property PdfOriginalWithAttachments As FileData
        Get
            Return _PdfOriginalWithAttachments
        End Get
        Set(value As FileData)
            SetPropertyValue("PdfOriginalWithAttachments", _PdfOriginalWithAttachments, value)
        End Set
    End Property
    <VisibleInListView(False)> _
    <Aggregated(), Association("C3CGeneratedInvoice-C3CGeneratedInvoiceDocuments", GetType(C3CGeneratedInvoiceDocuments))> _
    ReadOnly Property DocumentFile() As XPCollection(Of C3CGeneratedInvoiceDocuments)
        Get
            Return GetCollection(Of C3CGeneratedInvoiceDocuments)("DocumentFile")
        End Get
    End Property
End Class